Subject: [jose] [Editorial Errata Reported] RFC7515 (4554)

From: RFC Errata System <[email-masked]>
Date: Fri, 4 Dec 2015 07:17:26 -0800 (PST)

The following errata report has been submitted for RFC7515,
"JSON Web Signature (JWS)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7515&eid=4554

--------------------------------------
Type: Editorial
Reported by: Simon <[email-masked]>

Section: 2

Original Text
-------------
   Base64url Encoding
      Base64 encoding using the URL- and filename-safe character set
      defined in Section 5 of RFC 4648 [RFC4648], with all trailing \\'=\\'
      characters omitted (as permitted by Section 3.2) and without the
      inclusion of any line breaks, whitespace, or other additional
      characters.  Note that the base64url encoding of the empty octet
      sequence is the empty string.  (See Appendix C for notes on
      implementing base64url encoding without padding.)

Corrected Text
--------------
   Base64url Encoding
      Base64 encoding using the URL- and filename-safe character set
      defined in Section 5 of RFC 4648 [RFC4648], with all trailing \\'=\\'
      characters omitted (as permitted by Section 3.2 of RFC 4648) and
      without the inclusion of any line breaks, whitespace, or other
      additional characters.  Note that the base64url encoding of the
      empty octet sequence is the empty string.  (See Appendix C for
      notes on implementing base64url encoding without padding.)

Notes
-----
in the html version https://tools.ietf.org/html/rfc7515 the link on \\"Section 3.2\\" goes to Section 3.2 of RFC7515 but it should go to Section 3.2 of RFC4648. Not sure how the automatic link generation is made (or is it manual?), so i would propose explicitly saying \\"Section 3.2 of RFC 4648\\".

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7515 (draft-ietf-jose-json-web-signature-41)
--------------------------------------
Title               : JSON Web Signature (JWS)
Publication Date    : May 2015
Author(s)           : M. Jones, J. Bradley, N. Sakimura
Category            : PROPOSED STANDARD
Source              : Javascript Object Signing and Encryption
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: "Jim Schaad" <[email-masked]>
Date: Mon, 7 Dec 2015 20:21:27 -0800

My inclination is to say that this is not a valid Errata.  The complaint is
really against the tools and not the document as the complaint is dealing
with the line, which is not part of the RFC, rather than with either
technical or editorial content of the document.

I believe that the original text is sufficiently clear as to which section
is being referred to for a human.  But it would not be clear to a tool.  The
suggested change may or may not fix that for the tool and a better approach
is probably to start using the xml source for the generation of the html
page rather than to fix up the text version.

Jim

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Friday, December 04, 2015 7:17 AM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Editorial Errata Reported] RFC7515 (4554)
> 
> The following errata report has been submitted for RFC7515, "JSON Web
> Signature (JWS)".
> 
> in the html version https://tools.ietf.org/html/rfc7515 the link on
\\"Section
> 3.2\\" goes to Section 3.2 of RFC7515 but it should go to Section 3.2 of
> RFC4648. Not sure how the automatic link generation is made (or is it
manual?),
> so i would propose explicitly saying \\"Section 3.2 of RFC 4648\\".
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please use
"Reply
> All" to discuss whether it should be verified or rejected. When a decision
is
> reached, the verifying party (IESG) can log in to change the status and
edit the
> report, if necessary.

---

From: John Bradley <[email-masked]>
Date: Tue, 8 Dec 2015 10:47:25 -0300

I agree, Rfcmarkup strikes again:) 

The canonical version is txt and that is correct.

The link is probably correct in the XML version.  
One day we will publish RFC from the XML and can get rid of these stupid HTML markup from TXT issues.

Worth keeping a note of if we do do an errata and can publish in XML.

Until that time nothing to do for it.

John B.

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 8 Dec 2015 08:58:57 -0500

Thanks for your advice on this.

How about I mark it as 'editorial' and hold for document update, then add a note that says the normative section is correct and this is just an HTML markup from txt issue?

Thanks,
Kathleen 

Sent from my iPhone

> On Dec 8, 2015, at 8:47 AM, John Bradley <[email-masked]> wrote:
>

---

From: John Bradley <[email-masked]>
Date: Tue, 8 Dec 2015 11:13:20 -0300

+1

> On Dec 8, 2015, at 10:58 AM, Kathleen Moriarty <[email-masked]> wrote:
>

---

From: Mike Jones <[email-masked]>
Date: Tue, 8 Dec 2015 16:04:10 +0000

Agreed.  I'll note that the HTML produced by xml2rfc directly from the XML source doesn't have this problem.  Unfortunately, the RFCmarkup tool that's used to produce the HTML that's posted based on the .txt version has heuristics that are wrong.  Does anyone know how Simon can instead file a bug against RFCmarkup?  (And to people know whether the plan is to drop using RFCmarkup once the RFC evolution changes roll out?)

				-- Mike

-----Original Message-----
From: John Bradley [mailto:[email-masked]] 
Sent: Tuesday, December 8, 2015 6:13 AM
To: Kathleen Moriarty <[email-masked]>
Cc: Jim Schaad <[email-masked]>; RFC Errata System <[email-masked]>; Mike Jones <[email-masked]>; Nat Sakimura <[email-masked]>; Stephen Farrell <[email-masked]>; Karen Odonoghue <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [Editorial Errata Reported] RFC7515 (4554)

+1

>>> My inclination is to say that this is not a valid Errata.  The 
>>> complaint is really against the tools and not the document as the 
>>> complaint is dealing with the line, which is not part of the RFC, 
>>> rather than with either technical or editorial content of the document.
>>> 
>>> I believe that the original text is sufficiently clear as to which 
>>> section is being referred to for a human.  But it would not be clear 
>>> to a tool.  The suggested change may or may not fix that for the 
>>> tool and a better approach is probably to start using the xml source 
>>> for the generation of the html page rather than to fix up the text version.
>>> 
>>> Jim
>>> 
>>> 
>>>> The following errata report has been submitted for RFC7515, "JSON 
>>>> Web Signature (JWS)".
>>>> 
>>>> 3.2\\" goes to Section 3.2 of RFC7515 but it should go to Section 
>>>> 3.2 of RFC4648. Not sure how the automatic link generation is made 
>>>> (or is it
>>> manual?),

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 8 Dec 2015 11:07:30 -0500

> Agreed.  I'll note that the HTML produced by xml2rfc directly from the XML source doesn't have this problem.  Unfortunately, the RFCmarkup tool that's used to produce the HTML that's posted based o…

Hi Mike,

I think Hold for Document update with a note on the problem is the
best that can be done and it has been now.  I'm trying to work through
the rest of OAuth's errata as it's been sitting there for some time.
Help when needed is appreciated!  The list should see messages and
some were from quite a while ago.

Thanks,
Kathleen

-- 

Best regards,
Kathleen

---

From: John Bradley <[email-masked]>
Date: Tue, 8 Dec 2015 13:14:19 -0300

Rfcmarkup will be dropped for new RFC.   I some historical drafts were submitted with the XML (like this one).   While the RFC editor could start generating the HTML from those directly, I don’t know if that is the plan.

In any case the XML may not be optimal as we have had to compromise that in some cases to get the TXT version to play nice with Rfcmarkup.

Going forward life should be better.

I suspect that only so much can be done with Rfcmarkup, and it probably should be a secondary priority to moving ahead with the other RFC changes.

John B.

> On Dec 8, 2015, at 1:04 PM, Mike Jones <[email-masked]> wrote:
>

---

From: "Jim Schaad" <[email-masked]>
Date: Tue, 8 Dec 2015 10:06:09 -0800

That works for me

> From: Kathleen Moriarty [mailto:[email-masked]]
> Sent: Tuesday, December 08, 2015 5:59 AM
> To: John Bradley <[email-masked]>
> Cc: Jim Schaad <[email-masked]>; RFC Errata System
<rfc-editor@rfc-
> editor.org>; Michael Jones <[email-masked]>; Nat Sakimura <n-
> [email-masked]>; Stephen Farrell <[email-masked]>; Karen
> Odonoghue <[email-masked]>; [email-masked]; [email-masked]
> How about I mark it as 'editorial' and hold for document update, then add
a note
> that says the normative section is correct and this is just an HTML markup
from
> txt issue?
> >> to a tool.  The suggested change may or may not fix that for the tool
> >> and a better approach is probably to start using the xml source for
> >> the generation of the html page rather than to fix up the text version.
> >>
> >> Jim
> >>
> >>
> >>> use

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 8 Dec 2015 11:22:59 -0500

Hi Megan,

How will they know to add this text back in without the Hold for
Document Update?  I'm afraid removing this will cause trouble down the
road as opposed to leaving it the way I had marked it unless a held
version is corrected.

Thanks,
Kathleen

On Tue, Dec 8, 2015 at 11:16 AM, Megan Ferguson <[email-masked]> wrote:
> All,
>
> FYI, this report has been removed. We will forward notice to [email-masked].
>
> Thank you.
> RFC Editor/mf
>
> On Dec 8, 2015, at 11:04 AM, Mike Jones <[email-masked]> wrote:
>

-- 

Best regards,
Kathleen

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 8 Dec 2015 11:24:52 -0500

Oops, wrong one.  I had already marked this one as rejected with the
reason.  I guess it doesn't matter that it was deleted instead.

Thanks,
Kathleen

-- 

Best regards,
Kathleen

---

From: Megan Ferguson <[email-masked]>
Date: Tue, 8 Dec 2015 11:16:29 -0500

All,

Thank you.
RFC Editor/mf